VM_MAP_INIT(9)

NAME
vm_map_init - initialize a vm_map structure for process zero

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/vm_map.h>
void
vm_map_init(vm_map_t map, vm_offset_t min, vm_offset_t max);

DESCRIPTION
The vm_map_init() function initializes the system map map by setting its upper and lower address bounds to max and min respectively.

It also initializes the system map mutex.

IMPLEMENTATION NOTES
This routine is for internal use only. It is called during early system initialization.

SEE ALSO
vm_map(9)

AUTHORS
This manual page was written by Bruce M Simpson <bms@spc.org>.